Skip to main content
GET
/
organizations
/
{organization_id}
/
portal
/
articles
List articles
curl --request GET \
  --url https://api.example.com/organizations/{organization_id}/portal/articles/ \
  --header 'X-Initdesk-Token: <api-key>'
{
  "count": 123,
  "results": [
    {
      "id": 123,
      "collection": 123,
      "title": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "source_ticket": 123,
      "slug": "",
      "meta_description": "<string>",
      "position": 1073741823,
      "published_at": "2023-11-07T05:31:56Z"
    }
  ],
  "next": "http://api.example.org/accounts/?page=4",
  "previous": "http://api.example.org/accounts/?page=2"
}

Documentation Index

Fetch the complete documentation index at: https://developers.initdesk.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-Initdesk-Token
string
header
required

Path Parameters

organization_id
string
required

Query Parameters

collection
integer

Filter articles by collection ID.

page
integer

A page number within the paginated result set.

page_size
integer

Number of results to return per page.

status
enum<string>

Filter articles by status.

Available options:
archived,
draft,
published

Response

200 - application/json
count
integer
required
Example:

123

results
object[]
required
next
string<uri> | null
Example:

"http://api.example.org/accounts/?page=4"

previous
string<uri> | null
Example:

"http://api.example.org/accounts/?page=2"